%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}

%define name	kopete 
%define version 0.7.1	
%define release	7mdk
%define	Summary	Multi-protocol plugin-based instant messenger

%define major	1
%define libname	%mklibname %{name} %{major}

Summary: 	%{Summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/Instant messaging 
Source0: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2


URL: 		http://kopete.kde.org/
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	%libname = %version-%release


%if !%buildfor9_2
BuildRequires:	kdelibs-devel >= 3.1 libarts-devel >= 1.1 libjpeg-devel libfam-devel XFree86-devel
BuildRequires:	openssl-devel libpng-devel libart_lgpl2-devel libz-devel libxml2-devel
BuildRequires:	libxmms-devel libmng-devel libglib-devel libgtk+1.2-devel libxslt-devel
%else
BuildRequires:  kdelibs-devel >= 3.1 arts-devel >= 1.1 jpeg-devel fam-devel XFree86-devel
BuildRequires:  openssl-devel png-devel libart_lgpl-devel libz-devel libxml2-devel
BuildRequires:  xmms-devel mng-devel libxslt-devel
%endif

%description
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin 
being loaded.

The goal of Kopete is to provide users with a standard and easy to use 
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a 
plugin off of.


%package -n %libname-devel
Summary: 	Devel file.
Group: 		Networking/Instant messaging

%description -n %libname-devel
Devel file for kopete.

%package -n %libname
Summary: Multi-protocol plugin-based instant messenger
Group: Networking/Instant messaging

%description -n %libname
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a
plugin off of.

%prep
%setup -q

%build
make -f admin/Makefile.common

%{?__cputoolize: %{__cputoolize} }
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama
#(peroyvind) this one makes it fail to build
#		--enable-final
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -m 755 -d %buildroot%{_miconsdir}
install -m 755 -d %buildroot%{_liconsdir}
tar xOjf %SOURCE1 16x16.png > %buildroot%{_miconsdir}/%{name}.png
tar xOjf %SOURCE1 32x32.png > %buildroot%{_iconsdir}/%{name}.png
tar xOjf %SOURCE1 48x48.png > %buildroot%{_liconsdir}/%{name}.png

install -m 755 -d %buildroot%{_menudir}

cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):command="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="Networking/Instant messaging"\ 
title="Kopete"\
longtitle="%{Summary}"
EOF

rm -f %buildroot/%_datadir/apps/kopete/pics/Makefile.am
%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%post -n %libname-devel -p /sbin/ldconfig

%postun -n %libname-devel -p /sbin/ldconfig

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL kopete/NEWS README kopete/ROADMAP kopete/contrib/licq2kopete
%_bindir/*
%_menudir/*
%_datadir/applnk/Internet/kopete.desktop

%dir %_datadir/apps/kopete/
%_datadir/apps/kopete/*rc

%dir %_datadir/apps/kopete/webpresence/
%_datadir/apps/kopete/webpresence/*.xsl

%dir %_datadir/apps/kopete/styles/
%_datadir/apps/kopete/styles/*.xsl

%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*

%_datadir/services/*.desktop
%_datadir/servicetypes/*.desktop

%dir %_datadir/apps/krichtexteditpart/
%_datadir/apps/krichtexteditpart/*.rc

%dir %_datadir/apps/kopete/pics/
%_datadir/apps/kopete/pics/*.png
%_datadir/apps/kopete/pics/*.mng

%dir %_datadir/apps/kopete/icons/
%dir %_datadir/apps/kopete/icons/hicolor/
%dir %_datadir/apps/kopete/icons/hicolor/16x16/
%dir %_datadir/apps/kopete/icons/hicolor/16x16/actions/
%_datadir/apps/kopete/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/kopete/icons/hicolor/16x16/apps/
%_datadir/apps/kopete/icons/hicolor/16x16/apps/*.png

%dir %_datadir/apps/kopete/icons/hicolor/22x22/
%dir %_datadir/apps/kopete/icons/hicolor/22x22/actions/
%_datadir/apps/kopete/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/kopete/icons/hicolor/32x32/
%dir %_datadir/apps/kopete/icons/hicolor/32x32/apps/
%_datadir/apps/kopete/icons/hicolor/32x32/apps/*.png

%dir %_datadir/apps/kopete/icons/hicolor/32x32/actions/
%_datadir/apps/kopete/icons/hicolor/32x32/actions/*.png


%dir %_datadir/apps/kopete/icons/hicolor/48x48/
%dir %_datadir/apps/kopete/icons/hicolor/48x48/apps/
%_datadir/apps/kopete/icons/hicolor/48x48/apps/*.png

%dir %_datadir/apps/kopete/icons/hicolor/48x48/actions/
%_datadir/apps/kopete/icons/hicolor/48x48/actions/*.png



#%_datadir/apps/kopete/icons/*.png
#%_datadir/apps/kopete/icons/*.mng



%dir %_datadir/apps/kopete/pics/emoticons/

# rpm sucks, don't accept space in path (?)
%_datadir/apps/kopete/pics/emoticons/*

%_datadir/sounds/*

%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%{_iconsdir}/hicolor/16x16/apps/*.png
%{_iconsdir}/hicolor/22x22/apps/*.png
%{_iconsdir}/hicolor/32x32/apps/*.png
%{_iconsdir}/hicolor/48x48/apps/*.png

%dir %{_iconsdir}/hicolor/64x64/
%dir %{_iconsdir}/hicolor/64x64/apps/
%{_iconsdir}/hicolor/64x64/apps/*.png

%dir %{_iconsdir}/hicolor/128x128/apps/
%{_iconsdir}/hicolor/128x128/apps/*.png

%files -n %libname
%defattr(-, root, root)
%_libdir/*.so.*
%_libdir/kde3/*.so
%_libdir/*.la
%_libdir/kde3/*.la

%files -n %libname-devel
%defattr(-, root, root)
%_libdir/*.so


%changelog
* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1	-7mdk
- Update from CVS fix winpopup

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1	-6mdk
- Fix buildd

* Sat Aug 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1	-4mdk
- Update from CVS, fix : doesn't display passwd in debug output

* Fri Aug 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1	-3mdk
- Update from CVS , msn9 protocol merged

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1	-2mdk
- Update source from CVS, fix crash/update from old kopete

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1	-1mdk
- 0.7.1

* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7	-1mdk
- 0.7

* Wed Jul 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-6mdk
- Fix

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.2-5mdk
- rebuild

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.2-4mdk
- fix path to qt3 (lib64 issues..)

* Mon Jun 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Add patch1: fix jabber crash

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6.2-2mdk
- use %%mklibname
- don't rm -rf $RPM_BUILD_ROOT in %%prep stage
- fix buildrequires
- use $RPM_OPT_FLAGS
- configure with libdir, pic, gnu-ld, xinerama, final, cross compile etc.
- use %%makeinstall_std macro
- drop redundant Requires, rpm will figure out library dependencies itself..
- macroize

* Sun Apr 29 2003 Laurent Culioli <laurent@pschit.net> 0.6.2-1mdk
- 0.6.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1a-2mdk
- Fix spec file

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1a-1mdk
- 0.6.1a

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-2mdk
- Update code from CVS fix a lot of crash/bug etc...

* Sun Feb 10 2003 Laurent Culioli <laurent@pschit.net> 0.6-1mdk
- 0.6
- update menu icons

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-3mdk 
- Add patch1 : fix compile

* Fri Oct 18 2002 Laurent Culioli <laurent@pschit.net> 0.5-2mdk
- add xpm 

* Thu Oct 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk 
- 0.5

* Mon Oct 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- from Ben Reser <ben@reser.org> :
	- Remove the devel package.  The files are needed for proper functioning
  	not just development.
	- Main package requires lib package now...

* Wed Oct 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- fix requires pb (seems to)

* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- fix files section
- split packages
- from Flix Martos <pakito@asinkecualo.org> :
	- First Mandrake Unofficial Package

* Sun Jun 16 2002 Simon Perreault <nomis80@linuxquebec.com>
- Update to 0.4.1.

* Sun Jun 2 2002 Simon Perreault <nomis80@linuxquebec.com>
- Update to 0.4.

* Sat Apr 6 2002 Simon Perreault <nomis80@linuxquebec.com>
- Initial RPM release.
